<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=utf-8" >
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="description" content="Jotun Framework">
	<meta name="author" content="Fenster Analytics, LLC">

	<title>Jotun Documentation</title>

	<!-- Favicon -->
	<link rel="icon" type="image/png" sizes="96x96" href="/dist/asset/favicon/favicon-96x96.png">
	<link rel="icon" type="image/png" sizes="32x32" href="/dist/asset/favicon/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="16x16" href="/dist/asset/favicon/favicon-16x16.png">

	<script type='text/javascript' src='dist/jotun/jotun-client.js'></script>

	<!-- Code Mirror Module JS example -->
	<script type="text/javascript" src="dist/cm/code-mirror-example.js"></script>

	<!-- Example -->
	<link rel="stylesheet" href="dist/example.css" />
	<script type="text/javascript" src="dist/templates.js"></script>
</head>
<body>
	<header>
		<img src="/dist/asset/jotun.svg" width="64" height="64" />
		<h1>Jotun Example</h1>
	</header>
	<content>
		<div>
			<h1>Theme Selection</h1>
			<select onchange="changeOption(this)" data-option-key="theme">
				<option value='dark' selected>Dark</option>
				<option value='light'>Light</option>
			</select>
		</div>

		<div>
			<h1>Template Rendering</h1>
			<example-target id="target"></example-target>
			<example-target id="bad-target"></example-target>
		</div>

		<div>
			<h1>CodeMirror Test</h1>
			<div id="editor"></div>
		</div>
	</content>
	<footer>
		<a href="https://www.npmjs.com/package/@keyrock-dev/jotun" target="_BLANK">@keyrock-dev/jotun</a>
	</footer>
	<script type="text/javascript" src="dist/example.js"></script>
</body>
</html>